> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create inventory activity

> Create inventory activity



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json post /catalog/marketplace/products/{id}/inventory-activity
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /catalog/marketplace/products/{id}/inventory-activity:
    parameters:
      - name: id
        in: path
        description: product id
        required: true
        schema:
          type: string
    post:
      tags:
        - Marketplace Catalog
      summary: Create inventory activity
      description: Create inventory activity
      operationId: create-marketplace-inventory-activity
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProductInventoryActivity'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      inventory_activity:
                        allOf:
                          - $ref: '#/components/schemas/ProductInventoryActivity'
                          - type: object
                            properties:
                              warehouse:
                                $ref: '#/components/schemas/Warehouse'
                    type: object
      security:
        - Authorization: []
components:
  schemas:
    ProductInventoryActivity:
      type: object
      required:
        - warehouse_id
        - activity_type
        - quantity
        - reason
      properties:
        product_id:
          type: string
          readOnly: true
        variant_id:
          description: optional. can be null for non variant product.
          type: string
        warehouse_id:
          type: string
          maxLength: 128
        sku:
          type: string
          readOnly: true
        activity_type:
          enum:
            - add
            - reserve
            - reduce
        quantity:
          type: integer
        reason:
          type: string
          maxLength: 512
        lot_batch:
          type:
            - string
            - 'null'
        mfg_date:
          type:
            - string
            - 'null'
          format: date
        exp_date:
          type:
            - string
            - 'null'
          format: date
        manufacturer:
          type: string
        created_at:
          type: string
          format: date-time
          readOnly: true
        modified_at:
          type: string
          format: date-time
          readOnly: true
      x-tags:
        - Catalog
    Warehouse:
      title: Warehouse
      description: >-
        Validations:


        1) Either 'can_receive_stock' or 'accepts_returns' must be set to true.

        2) 'can_receive_stock' cannot be set to false while the warehouse has
        existing inventory.

        3) 'is_checkout_point' must be true when the warehouse type is
        'retail-store'.

        4) If 'can_receive_stock' is false then 'can_ship_parcel' and
        'can_collect' fields should be false.
      type: object
      required:
        - name
        - warehouse_type
        - city
        - address_line1
        - pincode
        - state
        - country
        - contact_phone
        - contact_email
        - can_receive_stock
        - can_ship_parcel
        - can_collect
        - is_checkout_point
        - accepts_returns
      properties:
        id:
          description: warehouse id
          type: string
          readOnly: true
        name:
          description: legal name
          type: string
        warehouse_type:
          enum:
            - retail-store
            - distribution-center
        active:
          type: boolean
          default: true
        gstin:
          type:
            - string
            - 'null'
        city:
          type: string
        address_line1:
          type: string
        address_line2:
          type:
            - string
            - 'null'
        landmark:
          type:
            - string
            - 'null'
        pincode:
          type: string
        state:
          type: string
        country:
          type: string
        country_code:
          type: string
          default: '+91'
        contact_phone:
          description: 10 digit number without country code.
          type: number
        contact_email:
          type: string
        is_default:
          type: boolean
        image_url:
          type:
            - string
            - 'null'
        seller_warehouse_id:
          type:
            - string
            - 'null'
        can_receive_stock:
          type: boolean
        can_ship_parcel:
          type: boolean
        can_collect:
          type: boolean
        is_checkout_point:
          description: this field will be always true for warehouse_type = retail-store.
          type: boolean
        accepts_returns:
          type: boolean
        opening_hours:
          $ref: '#/components/schemas/OpeningHours'
        channels:
          description: channels associated with the warehouse
          type: array
          items:
            $ref: '#/components/schemas/SalesChannel'
          readOnly: true
    OpeningHours:
      type: object
      required:
        - monday
        - tuesday
        - wednesday
        - thursday
        - friday
        - saturday
        - sunday
      properties:
        monday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        tuesday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        wednesday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        thursday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        friday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        saturday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
        sunday:
          type:
            - object
            - 'null'
          properties:
            opening_time:
              type: string
              format: time
            closing_time:
              type: string
              format: time
          required:
            - opening_time
            - closing_time
    SalesChannel:
      title: SalesChannel
      type: object
      required:
        - id
        - name
        - kind
        - active
      properties:
        id:
          type: string
        name:
          type: string
          readOnly: true
        kind:
          type: string
          enum:
            - storefront
            - marketplace
        active:
          type: boolean
          readOnly: true
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````